astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- OGLE Queries (`astroquery.ogle`) »
- OgleClass

# OgleClass

class astroquery.ogle.OgleClass

  Bases: `BaseQuery`

  Attributes Summary

  `DATA_URL` |
  `TIMEOUT` |
  `algorithms` |
  `coord_systems` |
  `quality_codes` |

  Methods Summary

  `query_region`(*args, **kwargs) | Queries the service and returns a table object.
  `query_region_async`(*args, **kwargs) | Query the OGLE-III interstellar extinction calculator.

  Attributes Documentation

  DATA_URL = 'https://ogle.astrouw.edu.pl/cgi-ogle/getext.py'
  TIMEOUT = 60
  algorithms = ['NG', 'NN']
  coord_systems = ['RD', 'LB']
  quality_codes = ['GOOD', 'ALL']

  Methods Documentation

  query_region(*args, **kwargs)

    Queries the service and returns a table object.

    Query the OGLE-III interstellar extinction calculator.

    Parameters:
      coord list-like

        Pointings to evaluate interstellar extinction. Three forms of coordinates may be passed:

            * single astropy coordinate instance
            * list-like object (1 x N) of astropy coordinate instances
            * list-like object (2 x N) of RA/Decs or Glon/Glat as strings
            or  floats. (May not be supported in future versions.)

      algorithm string

        Algorithm to interpolate data for desired coordinate. Valid options:

            * 'NG': nearest grid point
            * 'NN': natural neighbor interpolation

      quality string

        Quality factor for data. Valid options:

            * 'All': all points
            * 'GOOD': QF=0 as described in Nataf et al. (2012).

      coord_sys string

        Coordinate system if using lists of RA/Decs in `coord`. Valid options:

            * 'RD': equatorial coordinates
            * 'LB': Galactic coordinates.

    Returns:
      table A `Table` object.
    Raises:
      CoordParseError

        Exception raised for malformed coordinate input

    Examples

    Using astropy coordinates:

        >>> from astropy.coordinates import SkyCoord
        >>> from astropy import units as u
        >>> co = SkyCoord(0.0, 3.0, unit=(u.degree, u.degree),
        ...               frame='galactic')
        >>> from astroquery.ogle import Ogle
        >>> t = Ogle.query_region(coord=co)
        >>> t.pprint()
        RA/LON   Dec/Lat    A_I  E(V-I) S_E(V-I) R_JKVI   mu    S_mu
        --------- ---------- ----- ------ -------- ------ ------ ----- ...
        17.568157 -27.342475 3.126  2.597    0.126 0.3337 14.581 0.212

  query_region_async(*args, **kwargs)

    Query the OGLE-III interstellar extinction calculator.

    Parameters:
      coord list-like

        Pointings to evaluate interstellar extinction. Three forms of coordinates may be passed:

            * single astropy coordinate instance
            * list-like object (1 x N) of astropy coordinate instances
            * list-like object (2 x N) of RA/Decs or Glon/Glat as strings
            or  floats. (May not be supported in future versions.)

      algorithm string

        Algorithm to interpolate data for desired coordinate. Valid options:

            * 'NG': nearest grid point
            * 'NN': natural neighbor interpolation

      quality string

        Quality factor for data. Valid options:

            * 'All': all points
            * 'GOOD': QF=0 as described in Nataf et al. (2012).

      coord_sys string

        Coordinate system if using lists of RA/Decs in `coord`. Valid options:

            * 'RD': equatorial coordinates
            * 'LB': Galactic coordinates.

    Returns:
      response `requests.Response`

        The HTTP response returned from the service.

    Raises:
      CoordParseError

        Exception raised for malformed coordinate input

    Examples

    Using astropy coordinates:

        >>> from astropy.coordinates import SkyCoord
        >>> from astropy import units as u
        >>> co = SkyCoord(0.0, 3.0, unit=(u.degree, u.degree),
        ...               frame='galactic')
        >>> from astroquery.ogle import Ogle
        >>> t = Ogle.query_region(coord=co)
        >>> t.pprint()
        RA/LON   Dec/Lat    A_I  E(V-I) S_E(V-I) R_JKVI   mu    S_mu
        --------- ---------- ----- ------ -------- ------ ------ ----- ...
        17.568157 -27.342475 3.126  2.597    0.126 0.3337 14.581 0.212